/* Csv2-compatible output:
 * Quote ASCII sequences in the askmara output;
 * Make listeral ' \'
 * Make \xXX (hex number) sequences of anything else
 */
int escape_stdout_csv2(js_string *js) {
    unsigned char this;
    int inquote = 0, counter = 0;

    /* Sanity checks */
    if(js_has_sanity(js) < 0)
        return -1;
    if(js->unit_size != 1)
        return -1;

    inquote = 0;

    while(counter < js->unit_count) {
        this = *(js->string + counter);
	if(this < 32 || this > 126) {
	    if(inquote == 1) {
	        printf("\'");
	        inquote = 0;
	    }
	    printf("\\x%02x",this);
	}
        else if(this == '\'') {
	    if(inquote == 1) {
	    	printf("\'\\\'\'");
	    }
	    else {
		printf("\\\'");
	    }
	}
        else {
	    if(inquote == 0) {
                inquote = 1;
		printf("\'");
	    }
	    printf("%c",this);
	}
	counter++;
    }

    if(inquote == 1) {
        printf("\'");
    }

    return 1;
    }

